Create a boundary in the system.

This endpoint is used to create a boundary in the system.

The input is a GeoJSON feature:

  • "type": "Feature"
  • "id" (optional, string/number)
    The value used by the source to identify the boundary. If provided, it can be used as a filter.
  • "geometry"
    The GeoJSON geometry data. Endpoint supports two geometry types: Polygon and MultiPolygon.
  • "properties"
    • "varda:source_name" (mandatory)
      Value must be one of the source_name you are assigned by Varda.
    • "varda:permissions" (optional)
      "{tenant_id}":"{permission_value}" string pairs encoded in a JSON object to define boundary permissions for other tenants:
      • tenant_id: tenant ID to which the specific permission will be granted. Reserved keyword "all" meaning all tenants;
      • permission_value: one of the following:
        • discover: the specified tenant can discover the boundary in search results but no geometry information will be returned
        • view: same as discover plus geometry will be returned
        • manage: same as view plus the varda:permissions object will be returned in endpoint responses (where available) and permissions editing will be enabled

      Default value: {"{tenant_id}": "manage", "all": "view"}. Boundary will belong to the "public registry" with the tenant that ingested the boundary as a manager. Geometry data will be available to all tenants. By default manage role will be assigned to the caller tenant.

    • "{custom-property}" (optional)
      User-defined properties can be recorded, representing any metadata the client wishes to associate with the boundary. Only number, string, boolean, null are supported.

The output is a GeoJSON Feature.

Query parameter "dry_run" (optional, default=false) allows to simulate request outcome without applying changes to the data. Responses when dry_run=true are HTTP204 on success or error (including details) on failure

Note: GeoJSON numeric precision will be limited to 15 decimal places.

Note: Please reach out to our support team if you want to get access to this endpoint.

Query Params
boolean
Defaults to false

If true, runs a simulation using input payload (no changes will be applied to data). Errors will be reported, if any.

Body Params
Headers
string

Language and locale to return the response in

string
enum
Defaults to application/geo+json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/geo+json
application/json